
<%
/**
 *	$RCSfile: removeForum.jsp,v $
 *	$Revision: 1.1.1.1 $
 *	$Date: 2002/09/09 13:50:29 $
 */
%>

<%@ page import="java.util.*,
                 com.jivesoftware.forum.*,
                 com.jivesoftware.forum.util.*"%>

<%@ include file="include/global.jsp" %>
 
<%	// cancel if requested
    if ("Cancel".equals(ParamUtils.getParameter(request,"submitButton"))) {
        response.sendRedirect("forums.jsp");
        return;
    }
    
    // get parameters
	int forumID = ParamUtils.getIntParameter(request,"forum",-1);
	boolean delete = ParamUtils.getBooleanParameter(request,"delete");
    
    // Load up the forum specified
    Forum forum = forumFactory.getForum(forumID);
    
    // Put the forum in the session (is needed by the sidebar)
    session.setAttribute("admin.sidebar.forums.currentForum", forum);
    
	if (delete) {
        forumFactory.deleteForum(forum);
		response.sendRedirect("forums.jsp");
		return;
	}
%>

<%  // special onload command to load the sidebar
    onload = " onload=\"parent.frames['sidebar'].location.href='sidebar.jsp?sidebar=forum';\"";
%>
<%@ include file="include/header.jsp" %>

<p>

<%  // Title of this page and breadcrumbs
    String title = "Delete Forum";
    String[][] breadcrumbs = {
        {"Main", "main.jsp"},
        {"Forums", "forums.jsp"},
        {"Delete Forum", "removeForum.jsp?forum="+forumID}
    };
%>
<%@ include file="include/title.jsp" %>

<form action="removeForum.jsp" name="deleteForm">
<input type="hidden" name="delete" value="true">
<input type="hidden" name="forum" value="<%= forumID %>">

<font size="-1"><b>Confirm Forum Deletion</b></font><p>
<ul>
    <font size="-1">
	Warning: This will permanently delete the forum <b><%= forum.getName() %></b>.
    Are you sure you really want to do this?
    <p>
    </font>
	<input type="submit" name="submitButton" value="Delete Forum">
	&nbsp;
	<input type="submit" name="submitButton" value="Cancel">
</ul>
</form>

<script language="JavaScript" type="text/javascript">
<!--
// focus the "cancel" button -- if the user accidentally hits enter or
// space on this page, the default action would be to cancel, not delete
// the forum ;)
document.deleteForm.cancelButton.focus();
//-->
</script>

<%@ include file="include/footer.jsp" %>